@charset "UTF-8";

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style-type: none;
}

body {
  color: #515151;
  font-family:
    "Noto Sans JP",
    "Helvetica Neue",
    Arial,
    "Hiragino Kaku Gothic ProN",
    "Hiragino Sans",
    Meiryo,
    sans-serif;
}

/* ----------------共通のheader設定---------------- */
header {
  padding-top: 50px;
  padding-bottom: 50px;
  max-width: 1000px;
  margin: 0 auto;
}

.header-wrapper {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}

.header-wrapper img {
  width: 200px;
}

header nav ul {
  display: flex;
  list-style: none;
  justify-content: space-between;
  width: 500px;
}

header nav ul li {
  letter-spacing: 0.05em;
}

/* ----------------ナビのSNSアイコン---------------- */
header nav p {
  text-align: right;
  padding: 15px 0;
}

header nav a {
  text-decoration: none;
}

/* ----------------ドロワーメニュー---------------- */
.openbtn {
  position: fixed;
  top: 10px;
  right: 10px;
  z-index: 9999;
  cursor: pointer;
  width: 50px;
  height: 50px;
}

.openbtn span {
  display: inline-block;
  transition: all .4s;
  position: absolute;
  left: 14px;
  height: 3px;
  border-radius: 2px;
  background-color: #666;
  width: 45%;
}

.openbtn span:nth-of-type(1) {
  top: 15px;
}

.openbtn span:nth-of-type(2) {
  top: 23px;
}

.openbtn span:nth-of-type(3) {
  top: 31px;
}

.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
  background-color: #fff;
}

.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
  background-color: #fff;
}

#g-nav.panelactive {
  position: fixed;
  z-index: 999;
  top: 0;
  width: 100%;
  height: 100vh;
}

#g-nav-list {
  display: none;
  position: fixed;
  z-index: 999;
  width: 100%;
  height: 100vh;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}

#g-nav.panelactive #g-nav-list {
  display: block;
}

#g-nav ul {
  opacity: 0;
  position: absolute;
  z-index: 999;
  top: 50%;
  right: 0;
  transform: translate(-50%, -50%);
}

#g-nav.panelactive ul {
  opacity: 1;
}

#g-nav.panelactive ul li {
  animation-name: gnaviAnime;
  animation-duration: 1s;
  animation-delay: .1s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes gnaviAnime {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.circle-bg {
  position: fixed;
  z-index: 3;
  width: 12px;
  height: 20px;
  border-radius: 50%;
  /* background: #000; */
  animation: navbgchange 10s ease infinite;
  opacity: 0.9;
  transform: scale(0);
  right: -50px;
  top: calc(50% - 50px);
  transition: all .6s;
}

.circle-bg.circleactive {
  transform: scale(50);
}

@keyframes navbgchange {
  0% {
    background: #24C6DC;
  }

  50% {
    background: #514A9D;
  }

  100% {
    background: #24C6DC;
  }
}

#g-nav ul li a {
  display: inline-block;
  text-decoration: none;
  color: #fff;
  font-size: 1.5em;
  padding: 10px;
}

/*=== 9-1-2 丸が動いてスクロールを促す ====*/
/*スクロールダウン全体の場所*/
.scrolldown2 {
  /*描画位置※位置は適宜調整してください*/
  position: absolute;
  bottom: -5%;
  left: 50%;
}

/*Scrollテキストの描写*/
.scrolldown2 span {
  /*描画位置*/
  position: absolute;
  left: 10px;
  bottom: 10px;
  /*テキストの形状*/
  color: #565656;
  font-size: 0.7rem;
  letter-spacing: 0.05em;
  /*縦書き設定*/
  -ms-writing-mode: tb-rl;
  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}

/* 丸の描写 */
.scrolldown2:before {
  content: "";
  /*描画位置*/
  position: absolute;
  bottom: 0;
  left: -4px;
  /*丸の形状*/
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #565656;
  /*丸の動き1.6秒かけて透過し、永遠にループ*/
  animation:
    circlemove 1.6s ease-in-out infinite,
    cirlemovehide 1.6s ease-out infinite;
}

/*下からの距離が変化して丸の全体が上から下に動く*/
@keyframes circlemove {
  0% {
    bottom: 45px;
  }

  100% {
    bottom: -5px;
  }
}

/*上から下にかけて丸が透過→不透明→透過する*/
@keyframes cirlemovehide {
  0% {
    opacity: 0
  }

  50% {
    opacity: 1;
  }

  80% {
    opacity: 0.9;
  }

  100% {
    opacity: 0;
  }
}

/* 線の描写 */
.scrolldown2:after {
  content: "";
  /*描画位置*/
  position: absolute;
  bottom: 0;
  left: 0;
  /*線の形状*/
  width: 2px;
  height: 50px;
  background: #565656;
}

/* ----------------ナビテキストのアニメーション---------------- */
.nav-text,
.header-nav-item a {
  text-decoration: none;
  color: #515151;
}

.nav-float {
  position: relative;
  z-index: 1;
}

.nav-float:after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -5px;
  /*テキストからの距離*/
  width: 0%;
  /*初期状態では下線非表示*/
  height: 2px;
  /*下線の高さ*/
  background: #515151;
  /*下線の色*/
  z-index: -1;
  transition: all 0.4s;
  /*アニメーション速度*/
}

.nav-text:hover .nav-float:after {
  width: 100%;
  /*hover時に表示*/
}

/* ----------------全体をおおう幾何学模様---------------- */
html, body {
  height: 100%;
  /*高さを100%にして描画エリアをとる*/
}

#particles-js {
  position: fixed;
  /*描画固定*/
  z-index: -1;
  /*描画を一番下に*/
  width: 100%;
  height: 100%;
  background-color: #fff;
  /*背景色*/
}

#wrapper {
  position: relative;
  /*描画を#particles-jsよりも上にするためposition:relative;を指定*/
  z-index: 1;
  /*z-indexの数字を大きくすることで描画を#particles-jsよりも上に*/
  width: 100%;
  height: 100%;
}

/* ----------------トップのメイン画像---------------- */
.fluid_wrapper {
  display: flex;
  max-width: 1000px;
  height: 70vh;
  margin: 0 auto 100px;
  justify-content: center;
  align-items: center;
  position: relative;
}

.fluid {
  width: 50vh;
  /*横幅*/
  height: 50vh;
  /*縦幅*/
  /* background-color: rgba(153, 82, 255,0.7); */
  animation: bgchange 10s ease infinite, fluidrotate 30s ease 0s infinite;
  /*アニメーションの設定*/
  opacity: 0.7;
  z-index: -100;
}

.fluid_text {
  width: 50%;
  margin-left: -100px;
}

.fluid_text p {
  font-size: 1rem;
  /* font-weight: lighter; */
  line-height: 2;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

h1 img {
  width: 400px;
}

@keyframes bgchange {
  0% {
    background: #FA8BFF;
  }

  25% {
    background: #2BD2FF;
  }

  50% {
    background: #2BFF88;
  }

  75% {
    background: #2BD2FF;
  }

  100% {
    background: #FA8BFF;
  }
}

@keyframes fluidrotate {
  0%, 100% {
    border-radius: 63% 37% 54% 46%/55% 48% 52% 45%;
  }

  14% {
    border-radius: 40% 60% 54% 46%/49% 60% 40% 51%;
  }

  28% {
    border-radius: 54% 46% 38% 62%/49% 70% 30% 51%;
  }

  42% {
    border-radius: 61% 39% 55% 45%/61% 38% 62% 39%;
  }

  56% {
    border-radius: 61% 39% 67% 33%/70% 50% 50% 30%;
  }

  70% {
    border-radius: 50% 50% 34% 66%/56% 68% 32% 44%;
  }

  84% {
    border-radius: 46% 54% 50% 50%/35% 61% 39% 65%;
  }
}

/* ----------------共通のタイトルフォント---------------- */
h2 {
  font-weight: lighter;
  font-size: 45px;
  color: #515151;
  letter-spacing: 0.1em;
  text-align: center;
  text-decoration: underline;
  text-decoration-thickness: 1.8px;
  text-underline-offset: 10px;
  text-decoration-color: #707070;
}

h3 {
  font-weight: lighter;
  font-size: 35px;
  letter-spacing: 0.145em;
  color: #515151;
  text-align: center;
  padding-bottom: 20px;
}

/* ---------------- h2の説明テキスト---------------- */
.h2-p {
  font-weight: lighter;
  font-size: 16px;
  letter-spacing: 0.5em;
  color: #515151;
  text-align: center;
}

/* ----------------ボタン---------------- */
.btn {
  max-width: 145px;
  margin: 0 auto;
  padding: 20px 0;
  text-align: center;
}

.btn-flat-border {
  display: inline-block;
  padding: 0.3em 1em;
  text-decoration: none;
  color: #515151;
  border: solid 1.8px #515151;
  border-radius: 3px;
  transition: .4s;
  width: 145px;
  letter-spacing: 0.1em;
}

.btn-flat-border:hover {
  background: #515151;
  color: white;
}

.modalbtn {
  max-width: 145px;
  margin: 0 auto;
  padding: 30px 0;
  text-align: center;
}

/* ----------------photo-insta----------------*/
.insta {
  display: block;
  text-align: center;
  margin-bottom: 100px;
}

.insta .text {
  font-size: 0.8em;
}

.insta a {
  text-decoration: none;
}

.insta-img {
  position: relative;
  width: 130px;
  opacity: 0.8;
}

.insta-icon {
  position: absolute;
  width: 40px;
  z-index: 1;
}

/* ----------------Works,Tipsコンテンツ---------------- */
#Works,
#Tips {
  margin: 0 auto 200px;
  max-width: 1000px;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  width: 100vw;
  max-width: 1000px;
}

.gallery li {
  width: calc(33.33% - 50px);
  margin: 25px;
  list-style: none;
}

.gallery li figure {
  position: relative;
  padding-top: 100%;
}

.gallery li figure a img,
.gallery li figure img {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  object-fit: cover;
  border: 1px solid #e0e0e0;
}

/* ----------------gallery(max-width:769px) ---------------- */
@media screen and (max-width:769px) {
  .gallery {
    display: block;
  }

  .gallery li {
    width: 250px;
    margin: 0 auto 50px;
  }

  .gallery li figure {
    padding: 0;
  }

  .gallery li figure a img,
  .gallery li figure img {
    position: static;
  }
}

/* ---------------------Serviceコンテンツ--------------------- */
#Service {
  margin: 0 auto 200px;
  max-width: 1000px;
  position: relative;
  color: #515151;
}

.service-area {
  display: flex;
  justify-content: center;
}

.seivice-container {
  width: calc(50% - 40px);
  margin: 20px;
  padding: 30px;
}

/* タイトル下の説明 */
.title-text {
  text-align: center;
  padding: 40px 0;
  line-height: 2;
}

/* span A B */
.service-title h3 {
  font-size: 26px;
  padding: 0;
  margin-bottom: 1em;
  background-image: linear-gradient(to right, #b721ff, #21d4fd);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-position: bottom;
  color: #ffffff;
}

.seivice-container:last-of-type .service-title h3 {
  background-image: linear-gradient(to right, #007adf, #00ecbc);
}

.text-sv {
  padding-bottom: 40px;
  line-height: 1.5;
}

.service-box h4 {
  display: block;
  text-align: center;
  border-bottom: 1px solid #515151;
  letter-spacing: 0.1rem;
  font-size: 1.2rem;
  font-weight: normal;
  padding-bottom: 5px;
}

.service-box ul {
  padding-top: 20px;
  padding-left: 20px;
}

.service-box li {
  padding-bottom: 5px;
}

.service-contact {
  margin: 40px 0;
  padding: 20px 0;
}

.service-contact p {
  text-align: center;
}

/* ----------------フッター---------------- */
.footer-nav ul {
  display: flex;
  list-style: none;
  justify-content: center;
}

.footer-nav ul li {
  font-size: 18px;
  letter-spacing: 0.05em;
  margin: 0 34px 0;
}

.small-text {
  text-align: center;
  padding: 45px 0;
}

/* ----------------Service 1025px以下---------------- */
@media screen and (max-width: 1025px) {
  #Service {
    font-size: 0.9rem;
  }

  .seivice-container {
    margin: 10px;
    padding: 10px;
  }
}

@media screen and (max-width:769px) {
  body {
    font-size: 0.8rem;
  }

  header {
    padding-top: 0;
    height: auto;
  }

  /*---------------- PC版ナビ---------------- */
  header nav,
  .header-wrapper img {
    display: none;
  }

  /* SP版ドロワーメニュー */
  #g-nav ul {
    left: 50%;
  }

  #g-nav ul li a {
    font-size: 2em;
  }

  .circle-bg {
    width: 100px;
    height: 100px;
  }

  /* ----------------mainvisual ---------------- */
  .fluid_wrapper {
    height: 90vh;
  }

  .fluid_text {
    width: 80%;
    position: absolute;
    margin: 0 auto;
  }

  .fluid_text p {
    /* font-weight: lighter; */
    line-height: 2;
    padding-top: 2rem;
    padding-bottom: 2rem;
  }

  h1 {
    text-align: center;
  }

  h1 img {
    width: 60vw;
  }

  /* ----------------Service ---------------- */
  #Service {
    font-size: 0.8rem;
  }

  .service-area {
    display: block;
  }

  .seivice-container {
    width: 80%;
    margin: 0 auto;
    padding: 40px
  }

  /* ----------------フッター（全ページ共通）---------------- */
  .footer-nav {
    display: none;
  }
}

@media screen and (max-width:611px) {

  /* ----------------Service 611px以下---------------- */
  .seivice-container {
    width: 100%;
    margin: 0 auto;
    padding: 20px;
    border: none;
  }
}